Subject: Re: The git spring cleanup challenge

From: Đoàn Trần Công Danh <[email-masked]>
Date: Wed, 2 Jun 2021 11:13:07 +0700

On 2021-06-01 05:48:41-0500, Felipe Contreras <[email-masked]> wrote:
> > How about alias? It's part of my muscle memory.
> 
> No aliases.
> 
> If a new user doesn't have them, neither should you.
> 
> All VCSs have default aliases, and I advocated for git to do the same
> [1], but it wasn't accepted.
> 
> The whole point is to suffer like them.

Get back to the alias topic.
I also agree with other people's opinion in that thread.
IOW, I support the decision to not accept those default alias ;)

It's not required to be different people to have alias defined to
different command. I have alias conditionally defined to different
command based on git-dir. For example, I had ci alias to "commit" by
default, and "commit -s" on other repositories.

So, Git decides alias for me will not only break my current alias, but
also break my conditional alias.

Anyway, remotes/branches are all configuration values.
Would you prefer:

	git remote add a-remote git://some/repository.git
	git fetch a-remote a-branch && git merge FETCH_HEAD

or
	git fetch git://some/repository.git a-branch && git merge FETCH_HEAD

I guess it's another exception, then ;)

> [1] https://lore.kernel.org/git/[email-masked]/

-- 
Danh